summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-03-28 15:23:58 +0000
committerJim Meyering <jim@meyering.net>2003-03-28 15:23:58 +0000
commit5e8abb3891fad0cbc0ffcfc260b27c3aad1c03a0 (patch)
treeace569a00d373c524c9967016e8f952e5d08850a /tests
parent2a049a867fd487d7fb220f453779e4fa27c9f3e7 (diff)
downloadcoreutils-5e8abb3891fad0cbc0ffcfc260b27c3aad1c03a0.tar.xz
Skip this test if stty can't get window size.
This happens when connecting to sparc-solaris2.7 via ssh from within emacs. Reported by Karl Berry.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/stty/row-col-14
1 files changed, 3 insertions, 1 deletions
diff --git a/tests/stty/row-col-1 b/tests/stty/row-col-1
index 9b72f1a64..0ede6cb7f 100755
--- a/tests/stty/row-col-1
+++ b/tests/stty/row-col-1
@@ -33,7 +33,9 @@ set - $tests
saved_size=.saved-size
-stty size > $saved_size || exit 1
+stty size > $saved_size \
+ || { echo "$0: skipping this test: can't get window size" 1>&2;
+ exit 77; exit; }
fail=0
while :; do